Campaign Response

The campaign response record exposes a campaign response to REST web services.

This record:

For more information about working with campaign response records in the UI, see Tracking Campaign Responses.

The REST API Browser includes information about the field names and field types of the campaign respone record. It also includes the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's campaign response reference page.

For information about using the REST API Browser, see The REST API Browser.

Record ID

The record ID for a campaign response REST record is campaignResponse.

Prerequisites

You must enable the Marketing Automation feature before you can use this record through REST web services. For more information, see Marketing Automation Overview.

Additional Details

Fields on the responses sublist can't be directly created or updated. The responses sublist is read-only and can only be changed through its parent record, campaignresponse. Each time campaignresponse is created or updated, the responses sublist contains a new response object including author, date, note, and response.

Code Sample

The following sample shows a common action for a campaign response.

Get Campaign Response

              GET <domain>/record/v1/campaignResponse/<ID> 

            

Create a Campaign Response

              POST: /record/v1/campaignresponse
{
            "entity": {"id": 291},
            "leadSource": {"id": 25},
            "campaignEvent": {"id": 17},
            "response": {"id": "RESPONDED"}
} 

            

Patch a Campaign Response Using the Responses Sublist

              PATCH /services/rest/record/v1/campaignresponse/1 HTTP/1.1
Host: 3619616.suitetalk.api.netsuite.com
Content-Type: application/json
Authorization: OAuth realm="3619616",oauth_consumer_key="",oauth_token="",oauth_signature_method="",oauth_timestamp="",oauth_nonce="",oauth_version="1.0",oauth_signature=""
Content-Length: 51

{
    "response": {
        "id": "RECEIVED"
    }
}



('responses' sublist looks like this:
"responses": {
        "items": [
            {
                "author": {
                    "id": "303"
                },
                "response": {
                    "id": "RECEIVED"
                },
                "responseDate": "2025-07-08T11:45:00Z",
                "sequenceNumber": 2
            },
            {
                "author": {
                    "id": "303"
                },
                "response": {
                    "id": "SENT"
                },
                "responseDate": "2025-07-08T15:57:00Z",
                "sequenceNumber": 1
            }
        ],
        "totalResults": 2
    }
) 

            

Related Topics

General Notices